using System;
using System.Collections.Generic;
using System.Text;

namespace CGMSharp.Configuration
{
    class ConfigurationHelper
    {
        private DataTypeConfiguration config;

        public ConfigurationHelper(DataTypeConfiguration Configuration)
        {
            config = Configuration;
        }

        public int ColorSegmentCount
        {
            get 
            {
                switch (config.ColorModel)
                {
                    case ((int)DataTypeConfiguration.ColorModels.CIELAB):
                        return 4;
                    case ((int)DataTypeConfiguration.ColorModels.CIELUV):
                        return 4;                                 
                    case ((int)DataTypeConfiguration.ColorModels.CMYK):
                        return 4;
                    default:
                        return 3;
                }
            }
        }
	



    }
}
