using System;
using System.Collections.Generic;
using System.Text;

namespace CGMSharp.Configuration
{
    class DataTypeConfiguration
    {
        public enum ColorModels { RGB=1, CIELAB, CIELUV, CMYK, RGBRelated };

        private int colorIndexPrecision;
        private int directColorPrecision;
        private int indexPrecision;
        private int fixedPrecision;
        private int realPrecision;
        private int vdcIntegerPrecision;
        private int namePrecision;
        private int colorModel;

        public ConfigurationHelper GetHelper()
        {
            return new ConfigurationHelper(this);
        }

        public int ColorModel
        {
            get { return colorModel; }
            set { colorModel = value; }
        }

        public int ColorIndexPrecision
        {
            get { return colorIndexPrecision; }
            set { colorIndexPrecision = value; }
        }

        public int DirectColorPrecision
        {
            get { return directColorPrecision; }
            set { directColorPrecision = value; }
        }

        public int IndexPrecision
        {
            get { return indexPrecision; }
            set { indexPrecision = value; }
        }
        
        public int FixedPrecision
        {
            get { return fixedPrecision; }
            set { fixedPrecision = value; }
        }

        public int RealPrecision
        {
            get { return realPrecision; }
            set { realPrecision = value; }
        }
        
        public int VDCIntegerPrecision
        {
            get { return vdcIntegerPrecision; }
            set { vdcIntegerPrecision = value; }
        }    

        public int NamePrecision
        {
            get { return namePrecision; }
            set { namePrecision = value; }
        }

    }
}
