using System;
using System.IO;
using System.Collections.Generic;
using System.Text;
using CGMSharp.Configuration;

namespace CGMSharp.Types
{
    abstract class AbstractType
    {
        private DataTypeConfiguration config;

        public void ApplyConfiguration(DataTypeConfiguration Configuration)
        {
            config = Configuration;
        }

        public abstract int ReadFromStream(Stream s);

        public abstract int WriteToStream(Stream s);

        public abstract int Octets();

        public abstract override string ToString();

        public DataTypeConfiguration Configuration
        {
            get { return config; }
            set { config = value; }
        }
	
    }
}
